
QGIS Application - Bug report #2227

GPS Tools: "Import  other file" doesn't work

2009-12-09 10:22 AM - dr -

Status: Closed

Priority: Low

Assignee: gjm -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12287

Description

1) GPS Tools -> Import other file

2) Browse -> choose 'shapefile' format and open point shapefile

3) Set feature type to 'Waypoints'

4) Type layer name and GPX output file and press OK

At result we have error message: "The layer is not a valid layer and can not be added to map"

Associated revisions

Revision 95e70f00 - 2011-04-20 11:24 PM - Jürgen Fischer

fix #2227

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15784 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision b47dfe5c - 2011-04-20 11:24 PM - Jürgen Fischer

fix #2227

git-svn-id: http://svn.osgeo.org/qgis/trunk@15784 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-09 10:56 AM - Giovanni Manghi

this is probably related to #2203.

If fix for #2203 works (please test it, so we can eventually close the ticket) the probably the same fix can apply here.

#2 - 2010-04-15 11:44 AM - Maxim Dubinin

no, this tool still doesn't work.

There is no error message now, but progress bar is endlessly running.
#3 - 2010-07-18 01:47 PM - gjm -

- Status changed from Open to In Progress

#4 - 2010-07-18 02:06 PM - gjm -

I can reproduce this problem if I don't select shapefile in the file selection dialog. If I do select shapefile, my test file converts and loads fine.

I'll have a look at making that need more obvious, and perhaps a little more automatic.

#5 - 2011-01-12 09:39 AM - Alexander Bruy

Tested with commit:5aed037f (SVN r15016) under Linux and all works fine. But on Windows with same revision and same data I get error

The layer D:/test.gpx?type=waypoint is not a valid layer and can not be added to map

#6 - 2011-04-17 12:26 PM - Maxim Dubinin

issue is still present:

http://gis-lab.info/images/screenshots/20110417-120-11kb.jpg

#7 - 2011-04-20 02:24 PM - Jürgen Fischer

- Status changed from In Progress to Closed

- Resolution set to fixed

fixed in commit:b47dfe5c (SVN r15785).

#8 - 2011-04-20 06:30 PM - dr -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

If try to import any vector data into GPX QGIS throws an error. For example:

Could not import data from C:/personal/next/histmonumreg.geojson!

Input type 'copilot' not recognized

#9 - 2011-04-21 12:07 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

Replying to [comment:10 dr]:
If try to import any vector data into GPX QGIS throws an error. For example:

> Could not import data from C:/personal/next/histmonumreg.geojson!

> 

> Input type 'copilot' not recognized

You can only use the file types listed in the selection dialog - and it's important to choose the one that matches your selected file.  Seems you left the file

type at 'copilot'.

But gpsbabel (or just the plugin) doesn't support [[GeoJSON]] anyway.

#10 - 2011-04-21 12:43 AM - Alexander Bruy

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Just tried to import shapefile with GPS Tools. Other files tab, select point shapefile and Shapefile (*.*) from file type combo. After clicking Ok button I get

error message

Could not import data from F:/samples/shape/poi-osm.shp!

Input type 'shape' not recognized

Windows XP, . In Linux with same revision and same test data all works fine

#11 - 2011-04-21 12:46 AM - Alexander Bruy

Here is screenshot [http://gis-lab.info/share/DR/gpxconvert.png]

#12 - 2011-04-21 12:47 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed

Replying to [comment:12 alexbruy]:

Just tried to import shapefile with GPS Tools. Other files tab, select point shapefile and Shapefile (*.*) from file type combo. After clicking Ok button I

get error message

> Could not import data from F:/samples/shape/poi-osm.shp!

> 

> Input type 'shape' not recognized

Windows XP, . In Linux with same revision and same test data all works fine
your gpsbabel probably doesn't support shape.
